Subject: [bug#28347] Cadaver

From: [email-masked] (Ludovic Courtès)
Date: Tue, 19 Sep 2017 23:25:12 +0200

Alex Kost <[email-masked]> skribis:

> Ouch, so 0.30.2 is not supported.  This is the line from "configure.ac":
>
>   NE_REQUIRE_VERSIONS([0], [27 28 29])
>
> OK, I tried to build it with 0.30.2 anyway using the following phase:
>
>          (add-after 'unpack 'fix-required-neon-version
>            (lambda _
>              (substitute* "configure"
>                (("27 28 29")
>                 ,(string-join
>                   (cdr (string-split (package-version neon) #\.))
>                   ".")))
>              #t))
>
> But I got:
>
>   configure: incompatible neon library version 0.30.2: wanted 0.30.2
>   configure: using bundled neon (0.29.1)

In ‘configure’, I think you need to replace “27 28 29” with “30”, not
“30.2”, because of the way NEON_CHECK_VERSION in m4/neon.m4 matches
versions:

       for v in ne_require_minor; do
          case $ne_libver in
          ne_require_major.$v.*) ne_cv_lib_neonver=yes ;;
          esac
       done

I’m sure you’re almost there.  :-)

Thanks,
Ludo’.